<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>AsciiDoc toolkit for LabVIEW&#8482; general information :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/general-info.html">
    <link rel="prev" href="index.html">
    <link rel="next" href="api.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.8">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="api.html">API description</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="advanced-topics.html">Advanced topics</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="known-issues.html">Known issues</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.8</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">AsciiDoc toolkit</a></li>
    <li><a href="general-info.html">General information</a></li>
  </ul>
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.8</button>
  <div class="version-menu">
    <a class="version is-current" href="general-info.html">1.8</a>
    <a class="version" href="../1.7/general-info.html">1.7</a>
    <a class="version" href="../1.6/general-info.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.8/docs/modules/ROOT/pages/general-info.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">AsciiDoc toolkit for LabVIEW&#8482; general information</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>This LabVIEW toolkit provides a set of VIs that help you build output files using the AsciiDoc syntax.
You can use it to create professional PDF or HTML documents in LabVIEW.</p>
</div>
<div class="paragraph">
<p>Here is an example of the kind of document you can get in <a href="https://wovalab.gitlab.io/open-source/docs/antidoc-addon-lvproj/latest/_attachments/dqmh-cml/Project-Documentation.pdf">PDF</a> or in <a href="https://wovalab.gitlab.io/open-source/docs/antidoc-addon-lvproj/latest/_attachments/dqmh-cml/Project-Documentation.html">HTML</a> format.</p>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">What is AsciiDoc?</div>
<div class="paragraph">
<p>A mature, plain-text writing format for authoring notes, articles, documentation, books, ebooks, web pages, slide decks, blog posts, man pages and more.</p>
</div>
<div class="paragraph">
<p>More information <a href="https://docs.asciidoctor.org/asciidoc/latest/">here</a>.</p>
</div>
</div>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">What is Asciidoctor?</div>
<div class="paragraph">
<p>A text processor and toolchain for translating (a) documents into various formats (called backends), including HTML, DocBook, PDF and ePub.</p>
</div>
<div class="paragraph">
<p>More information <a href="https://docs.asciidoctor.org/asciidoctor/latest/">here</a>.</p>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="quick-start"><a class="anchor" href="#quick-start"></a>Quick start</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="how-to-generate-your-first-adoc-file-with-the-associated-pdf-or-html-file"><a class="anchor" href="#how-to-generate-your-first-adoc-file-with-the-associated-pdf-or-html-file"></a>How to generate your first adoc file with the associated PDF or HTML file?</h3>
<div class="olist arabic">
<ol class="arabic">
<li>
<p>Install the toolkit from the VIPM Community feed on <a href="https://www.vipm.io/package/wovalab_lib_asciidoc_for_labview/">VI Package Manager</a>.</p>
</li>
<li>
<p>Open the example provided from <span class="menuseq"><b class="menu">Help</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Find Examples…</b></span>.</p>
</li>
</ol>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/asciidoc-example-finder.png" alt="LabVIEW example finder window">
</div>
</div>
<div class="paragraph">
<p>This example shows you how to generate a simple adoc file and get the PDF or HTML file from it.</p>
</div>
<div class="olist arabic">
<ol class="arabic" start="3">
<li>
<p>Set the following input before running the example.</p>
</li>
</ol>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/asciidoc-example-setting.png" alt="How to set the example">
</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>Set a path where the files will be stored</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Set the <code>Generate and OpenFinal Document</code> button to true</td>
</tr>
<tr>
<td><i class="conum" data-value="3"></i><b>3</b></td>
<td>Choose the output format file you want to get (HTML5 or PDF)</td>
</tr>
</table>
</div>
<div class="olist arabic">
<ol class="arabic" start="4">
<li>
<p>Run the example.</p>
</li>
</ol>
</div>
<div class="paragraph">
<p>When running the example, you get the AsciiDoc file content displayed in the <code>Output</code> string indicator.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/asciidoc-example-output.png" alt="Output content">
</div>
</div>
<div class="paragraph">
<p>The adoc file, the generated file, and the images are stored in the path you set.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/asciidoc-example-files.png" alt="Files generated">
</div>
</div>
<details>
<summary class="title">Show the full content of the Output.adoc file</summary>
<div class="content">
<div class="listingblock">
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">= My Document
Jeanne Dupont; Alain Dupond
:toc:
:imagesdir: images
:sectnums:
:toclevels: 3

== Examples

=== Paragraphs

Paragraphs don't require any special markup in AsciiDoc. A paragraph is just one or more lines of consecutive text.

[NOTE]
====
An admonition paragraph draws the reader's attention to auxiliary information.Its purpose is determined by the labelat the beginning of the paragraph.
====

=== Formated text

Bold word *Bold* +
Italic word _Italic_ +
~a~b^c^

== Images

.Powerd by LabVIEW
image::PowerdByLV.png[Powerd by LabVIEW]

== Diagrams

[vega, format="svg", align="center"]
....
{
  "$schema": "https://vega.github.io/schema/vega/v5.json",
  "description": "A radar chart example, showing multiple dimensions in a radial layout.",
  "width": 400,
  "height": 400,
  "padding": 40,
  "autosize": {"type": "none", "contains": "padding"},

  "signals": [
    {"name": "radius", "update": "width / 2"}
  ],

  "data": [
    {
      "name": "table",
      "values": [{"key":"A","value":10,"category":"UUT1"},{"key":"A","value":40,"category":"UUT2"},{"key":"A","value":70,"category":"UUT3"},{"key":"A","value":100,"category":"UUT4"},{"key":"B","value":20,"category":"UUT1"},{"key":"B","value":50,"category":"UUT2"},{"key":"B","value":80,"category":"UUT3"},{"key":"B","value":50,"category":"UUT4"},{"key":"C","value":30,"category":"UUT1"},{"key":"C","value":60,"category":"UUT2"},{"key":"C","value":90,"category":"UUT3"},{"key":"C","value":100,"category":"UUT4"}]
    },
    {
      "name": "keys",
      "source": "table",
      "transform": [
        {
          "type": "aggregate",
          "groupby": ["key"]
        }
      ]
    }
  ],

  "scales": [
    {
      "name": "angular",
      "type": "point",
      "range": {"signal": "[-PI, PI]"},
      "padding": 0.5,
      "domain": {"data": "table", "field": "key"}
    },
    {
      "name": "radial",
      "type": "linear",
      "range": {"signal": "[0, radius]"},
      "zero": true,
      "nice": false,
      "domain": {"data": "table", "field": "value"},
      "domainMin": 0.000000,
      "domainMax": 120.000000
    },
    {
      "name": "color",
      "type": "ordinal",
      "domain": {"data": "table", "field": "category"},
      "range": {"scheme": "set1"}
    }
  ],

  "encode": {
    "enter": {
      "x": {"signal": "radius"},
      "y": {"signal": "radius"}
    }
  },

  "legends": [
    {
      "fill": "color",
      "orient": "none",
      "title": "Legend",
      "encode": {
        "legend": {"update": {"x": {"value": -200}, "y": {"value": -200}}}
      }
    }
  ],

  "marks": [
    {
      "type": "group",
      "name": "categories",
      "zindex": 1,
      "from": {
        "facet": {"data": "table", "name": "facet", "groupby": ["category"]}
      },
      "marks": [
        {
          "type": "line",
          "name": "category-line",
          "from": {"data": "facet"},
          "encode": {
            "enter": {
              "interpolate": {"value": "linear-closed"},
              "x": {"signal": "scale('radial', datum.value) * cos(scale('angular', datum.key))"},
              "y": {"signal": "scale('radial', datum.value) * sin(scale('angular', datum.key))"},
              "stroke": {"scale": "color", "field": "category"},
              "strokeWidth": {"value": 1},
              "fill": {"scale": "color", "field": "category"},
              "fillOpacity": {"value": 0.1}
            }
          }
        },
        {
          "type": "text",
          "name": "value-text",
          "from": {"data": "category-line"},
          "encode": {
            "enter": {
              "x": {"signal": "datum.x"},
              "y": {"signal": "datum.y"},
              "text": {"signal": "datum.datum.value"},
              "align": {"value": "center"},
              "baseline": {"value": "middle"},
              "fill": {"value": "black"}
            }
          }
        }
      ]
    },
    {
      "type": "rule",
      "name": "radial-grid",
      "from": {"data": "keys"},
      "zindex": 0,
      "encode": {
        "enter": {
          "x": {"value": 0},
          "y": {"value": 0},
          "x2": {"signal": "radius * cos(scale('angular', datum.key))"},
          "y2": {"signal": "radius * sin(scale('angular', datum.key))"},
          "stroke": {"value": "lightgray"},
          "strokeWidth": {"value": 1}
        }
      }
    },
    {
      "type": "text",
      "name": "key-label",
      "from": {"data": "keys"},
      "zindex": 1,
      "encode": {
        "enter": {
          "x": {"signal": "(radius + 5) * cos(scale('angular', datum.key))"},
          "y": {"signal": "(radius + 5) * sin(scale('angular', datum.key))"},
          "text": {"field": "key"},
          "align": [
            {
              "test": "abs(scale('angular', datum.key)) &gt; PI / 2",
              "value": "right"
            },
            {
              "value": "left"
            }
          ],
          "baseline": [
            {
              "test": "scale('angular', datum.key) &gt; 0", "value": "top"
            },
            {
              "test": "scale('angular', datum.key) == 0", "value": "middle"
            },
            {
              "value": "bottom"
            }
          ],
          "fill": {"value": "black"},
          "fontWeight": {"value": "bold"}
        }
      }
    },
    {
      "type": "line",
      "name": "outer-line",
      "from": {"data": "radial-grid"},
      "encode": {
        "enter": {
          "interpolate": {"value": "linear-closed"},
          "x": {"field": "x2"},
          "y": {"field": "y2"},
          "stroke": {"value": "lightgray"},
          "strokeWidth": {"value": 1}
        }
      }
    }
  ]
}
....

[vega, format="svg", align="center"]
....
{
  "$schema": "https://vega.github.io/schema/vega/v5.json",
  "description": "A basic line chart example.",
  "width": 500,
  "height": 200,
  "padding": 5,

   "data": [
    {
      "name": "table",
      "values": [{"x":0,"y":10,"c":"Plot 1"},{"x":1,"y":24,"c":"Plot 1"},{"x":2,"y":23,"c":"Plot 1"},{"x":3,"y":11,"c":"Plot 1"},{"x":4,"y":2,"c":"Plot 1"},{"x":5,"y":4,"c":"Plot 1"},{"x":6,"y":18,"c":"Plot 1"},{"x":7,"y":26,"c":"Plot 1"},{"x":8,"y":38,"c":"Plot 1"},{"x":9,"y":45,"c":"Plot 1"},{"x":10,"y":45,"c":"Plot 1"},{"x":0,"y":45,"c":"Plot 2"},{"x":1,"y":25,"c":"Plot 2"},{"x":2,"y":12,"c":"Plot 2"},{"x":3,"y":4,"c":"Plot 2"},{"x":4,"y":3,"c":"Plot 2"},{"x":5,"y":6,"c":"Plot 2"},{"x":6,"y":9,"c":"Plot 2"},{"x":7,"y":4,"c":"Plot 2"},{"x":8,"y":1,"c":"Plot 2"},{"x":9,"y":-1,"c":"Plot 2"},{"x":10,"y":0,"c":"Plot 2"},{"x":0,"y":99,"c":"Plot 3"},{"x":1,"y":98,"c":"Plot 3"},{"x":2,"y":97,"c":"Plot 3"},{"x":3,"y":96,"c":"Plot 3"},{"x":4,"y":95,"c":"Plot 3"},{"x":5,"y":94,"c":"Plot 3"},{"x":6,"y":93,"c":"Plot 3"},{"x":7,"y":92,"c":"Plot 3"},{"x":8,"y":91,"c":"Plot 3"},{"x":9,"y":90,"c":"Plot 3"},{"x":10,"y":89,"c":"Plot 3"}]
    }
  ],

  "scales": [
    {
      "name": "x",
      "type": "point",
      "range": "width",
      "domain": {"data": "table", "field": "x"}
    },
    {
      "name": "y",
      "type": "linear",
      "range": "height",
      "nice": true,
      "zero": true,
      "domain": {"data": "table", "field": "y"}
    },
    {
      "name": "color",
      "type": "ordinal",
      "domain": {"data": "table", "field": "c"},
      "range": {"scheme": "set2"}
    }
  ],

  "axes": [
    {"orient": "bottom", "scale": "x","title": "X"},
    {"orient": "left", "scale": "y","title": "Y"}
  ],

  "legends": [
    {
      "fill": "color",
      "orient": "none",
      "title": "Legend",
      "encode": {
        "legend": {"update": {"x": {"value": 520}, "y": {"value": 0}}}
      }
    }
  ],


  "marks": [
    {
      "type": "group",
      "from": {
        "facet": {
          "name": "series",
          "data": "table",
          "groupby": "c"
        }
      },
      "marks": [
        {
          "type": "line",
          "from": {"data": "series"},
          "encode": {
            "enter": {
              "interpolate": {"value": "natural"},
              "x": {"scale": "x", "field": "x"},
              "y": {"scale": "y", "field": "y"},
              "stroke": {"scale": "color", "field": "c"},
              "strokeWidth": {"value": 2}
            }
          }
        }
      ]
    }
  ]
}

....

[vega, format="svg", align="center"]
....
{
  "$schema": "https://vega.github.io/schema/vega/v5.json",
  "description": "A basic grouped bar chart example.",
  "width": 700,
  "height": 400,
  "padding": 5,

  "data": [
    {
      "name": "table",
      "values":[{"category":"UUT1","position":"A","value":10},{"category":"UUT2","position":"A","value":40},{"category":"UUT3","position":"A","value":70},{"category":"UUT4","position":"A","value":100},{"category":"UUT1","position":"B","value":20},{"category":"UUT2","position":"B","value":50},{"category":"UUT3","position":"B","value":80},{"category":"UUT4","position":"B","value":50},{"category":"UUT1","position":"C","value":30},{"category":"UUT2","position":"C","value":60},{"category":"UUT3","position":"C","value":90},{"category":"UUT4","position":"C","value":100}]
    }
  ],

  "scales": [
    {
      "name": "yscale",
      "type": "band",
      "domain": {"data": "table", "field": "category"},
      "range": "height",
      "padding": 0.2
    },
    {
      "name": "xscale",
      "type": "linear",
      "domain": {"data": "table", "field": "value"},
      "range": "width",
      "round": true,
      "zero": true,
      "nice": true
    },
    {
      "name": "color",
      "type": "ordinal",
      "domain": {"data": "table", "field": "position"},
      "range": {"scheme": "set3"}
    }
  ],

  "axes": [
    {"orient": "left", "scale": "yscale", "tickSize": 0, "labelPadding": 4, "zindex": 1},
    {"orient": "bottom", "scale": "xscale","title": "X"}
  ],

"legends": [
    {
      "fill": "color",
      "orient": "none",
      "title": "Legend",
      "encode": {
        "legend": {"update": {"x": {"value": 700}, "y": {"value": 0}}}
      }
    }
  ],

  "marks": [
    {
      "type": "group",

      "from": {
        "facet": {
          "data": "table",
          "name": "facet",
          "groupby": "category"
        }
      },

      "encode": {
        "enter": {
          "y": {"scale": "yscale", "field": "category"}
        }
      },

      "signals": [
        {"name": "height", "update": "bandwidth('yscale')"}
      ],

      "scales": [
        {
          "name": "pos",
          "type": "band",
          "range": "height",
          "domain": {"data": "facet", "field": "position"}
        }
      ],

      "marks": [
        {
          "name": "bars",
          "from": {"data": "facet"},
          "type": "rect",
          "encode": {
            "enter": {
              "y": {"scale": "pos", "field": "position"},
              "height": {"scale": "pos", "band": 1},
              "x": {"scale": "xscale", "field": "value"},
              "x2": {"scale": "xscale", "value": 0},
              "fill": {"scale": "color", "field": "position"}
            }
          }
        },
        {
          "type": "text",
          "from": {"data": "bars"},
          "encode": {
            "enter": {
              "x": {"field": "x2", "offset": -5},
              "y": {"field": "y", "offset": {"field": "height", "mult": 0.5}},
              "fill": [
                {"test": "contrast('white', datum.fill) &gt; contrast('black', datum.fill)", "value": "white"},
                {"value": "black"}
              ],
              "align": {"value": "right"},
              "baseline": {"value": "middle"},
              "text": {"field": "datum.value"}
            }
          }
        }
      ]
    }
  ]
}

....

== Tables

.A simple string table
[cols="&lt;.&lt;1d,&lt;.&lt;1d,&lt;.&lt;1d", %autowidth, frame=all, grid=all, stripes=none]
|===
|Name of Column 1 |Name of Column 2 |Name of Column 3

|Cell in column 1, row 1
|Cell in column 2, row 1
|Cell in column 3, row 1

|Cell in column 1, row 2
|Cell in column 2, row 2
|Cell in column 3, row 2
|===

.An advanced table
[cols="&lt;.&lt;1d,&lt;.&lt;1d,&lt;.&lt;1d", %autowidth, frame=all, grid=all, stripes=none]
|===
|Name of Column 1 |Name of Column 2 |

a|image::PowerdByLV.png[]
a|[NOTE]
====
You can add any kind of bloc in a cell
====
a|[IMPORTANT]
====
You can nest one and only one table in a table
====

a|[TIP]
====
You can also merge cells as you can see -&gt;
====
2+a|[cols="&lt;.&lt;1d,&lt;.&lt;1d,&lt;.&lt;1d", %autowidth, frame=all, grid=all, stripes=none]
!===
!nested !table !example

!A1
!B1
!C1

!A2
!B2
!C2

!A3
!B3
!C3

!A4
!B4
!C4
!===
|===</code></pre>
</div>
</div>
</div>
</details>
<div class="paragraph">
<p>The <a href="_attachments/basic-example/Output.html" class="xref attachment">HTML5</a> or <a href="_attachments/basic-example/Output.pdf" class="xref attachment">PDF</a> is open in the default viewer application.</p>
</div>
</div>
<div class="sect2">
<h3 id="glancing-at-the-code"><a class="anchor" href="#glancing-at-the-code"></a>Glancing at the code</h3>
<div class="paragraph">
<p>Here is a simplified code coming from the example provided.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/code-example.png" alt="code example">
</div>
</div>
<div class="paragraph">
<p>This code gets you the following output</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/outputs.png" alt="outputs">
</div>
</div>
<div class="paragraph">
<p>blocs functions allow you to create the content of your document.
Many different blocs are available.
In this example, we are using the paragraph, the admonition bloc and a simple table.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/blocs-creation.png" alt="blocs creation">
</div>
</div>
<div class="paragraph">
<p>To organize your content, you can create a section hierarchy.
Create sections, add blocs to the section and organize the section.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/hierarchy-creation.png" alt="hierarchy creation">
</div>
</div>
<div class="paragraph">
<p>Finally, create the document, add the sections and generate the adoc output.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/document-creation.png" alt="document creation">
</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>Create the document</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Set attributes. Here we set the table of content to visible</td>
</tr>
<tr>
<td><i class="conum" data-value="3"></i><b>3</b></td>
<td>Add the sections and their content</td>
</tr>
<tr>
<td><i class="conum" data-value="4"></i><b>4</b></td>
<td>Generate the output with AsciiDoc syntax</td>
</tr>
</table>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="installation"><a class="anchor" href="#installation"></a>Installation</h2>
<div class="sectionbody">
<div class="paragraph">
<p>The package is available on the VIPM Community feed on <a href="https://www.vipm.io/package/wovalab_lib_asciidoc_for_labview/">VI Package Manager</a></p>
</div>
</div>
</div>
<div class="sect1">
<h2 id="supported-environnement"><a class="anchor" href="#supported-environnement"></a>Supported environnement</h2>
<div class="sectionbody">
<div class="ulist">
<ul>
<li>
<p>Compatible LabVIEW versions: 2014 or higher (32 or 64-bit).</p>
</li>
<li>
<p>Compatible OS versions: Windows, Linux and Mac(32 or 64-bit).</p>
</li>
</ul>
</div>
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
You can&#8217;t generate PDF and HTML files from an adoc file with the Linux and Mac versions. You&#8217;ll need to install the Ruby Asciidoctor toolchain for that.
</td>
</tr>
</table>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="index.html">What&#8217;s new</a></span>
  <span class="next"><a href="api.html">API description</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
